;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Ambiance Music OW Sprite
;; This sprite will play different music depending on what tile Mario is on (ghost house, castle, and switch.)
;; This code automatically knows what the main OW music is.
;; Edited by Chdata/Fakescaper
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;Music Definitions- If you want to edit the sprite, look here
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


;; These all correspond to what LM says each OW music is (OW editor > Note Block Button)
 SPOOKY = $0E ; music that stepping on a ghost house tile will play
 CASTLE = $0D ; music that stepping on a castle tile will play
 SWITCH = $0C ; music that stepping on a switch tile will play
 SWATCH = $0C ; music for the other switch that Maxx forgot
 FORTES = $0D ; music for the fortress
 HOLMES = $0A ; added in music for Yoshi's house
;; If you don't have addmusic then just put those at the original OW values.
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			PHB
			PHK
			PLB
			JSR MainCode
			PLB
			RTL

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; org $04FAF1
;; main sprite routine
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

MainCode:
LDA $7F8884		;\
CMP #$01		; This code just checks what tile mario is on at the time 
BEQ flying		; Check I made for another one of my sprites, ignore it
LDA $13C1
CMP #$63
BEQ spookymusic
LDA $13C1
CMP #$56
BEQ yoshishouse
LDA $13C1
CMP #$5D
BEQ castlemusic
LDA $13C1
CMP #$58
BEQ fortesmusic
LDA $13C1
CMP #$77
BEQ switchmusic
LDA $13C1
CMP #$79
BEQ swatchmusic		;/
PHX
LDX $0DB3  		;\ I ripped off Carol's code, olo
LDA $1F11,x		; Basically this finds the original values for the music.
TAX
LDA $048D8A,x		;OW music same to $04DBC8
STA $1DFB
PLX
RTS			;/ olo again
;;;;;;;;;;;;;;;;;;;;;;;;
spookymusic:
LDA #SPOOKY
STA $1DFB
RTS
yoshishouse:
LDA #HOLMES
STA $1DFB
RTS
castlemusic:
LDA #CASTLE
STA $1DFB
RTS
fortesmusic:
LDA #FORTES
STA $1DFB
RTS
switchmusic:
LDA #SWITCH
STA $1DFB
RTS
swatchmusic:
LDA #SWATCH
STA $1DFB
RTS
flying:
RTS